﻿/**
* @addtogroup NET
* @{
*
* @brief Provides functions and data structures related to network operations.
*
* @since 1.0
* @version 1.0
*/

/**
* @file if.h
*
* @brief Provides functions and data structures related to network operations. For example, you can use the functions to send and receive network data, manage network addresses, and convert bytes.
*
* @since 1.0
* @version 1.0
*/
#ifndef _NET_IF_H
#define _NET_IF_H

#ifdef __cplusplus
extern "C" {
#endif

/**
* @brief Defines the network adapter information.
*/
struct if_nameindex {
/** Network adapter index */
unsigned int if_index;
/** Network adapter name */
char *if_name;
};

/**
* @brief Frees the network adapter information obtained by {@link if_nameindex}.
*
* @param idx Indicates the pointer to the network adapter to be freed.
* @since 1.0
* @version 1.0
*/
void if_freenameindex(struct if_nameindex *idx);

#ifdef __cplusplus
}
#endif

#endif
/** @} */