/**
* @addtogroup SYS
* @{
*
* @brief Provides functions for system operations.
*
* @since 1.0
* @version 1.0
*/

/**
* @file utsname.h
*
* @brief Declares common functions for system operations.
*
* You can use the function provided in this file to obtain the system information during development. \n
* @since 1.0  \n
* @version 1.0  \n
*/

#ifndef	 _SYS_UTSNAME_H
#define	 _SYS_UTSNAME_H


#ifdef __cplusplus
extern "C" {
#endif

/**
* @brief Obtains the system information.
*
* @param buf Indicates the pointer to the <b>utsname</b> structure, which stores the obtained system information.
* @return Returns <b>0</b> if the operation is successful; returns <b>-1</b> and sets <b>errno</b> to the value in the following table otherwise.
* errno  | description
* ------ | -----------------------
* EFAULT | The <b>buf</b> parameter is invalid.
* @since  1.0
* @version  1.0
*/
int uname(struct utsname *buf);

#ifdef __cplusplus
}
#endif

#endif
/** @} */