/**
* @addtogroup IO
* @{
*
* @brief Provides data structures and functions for performing input/output (I/O) operations, such as printf and scanf.
*
* @since 1.0
* @version 1.0
*/

/**
* @file wordexp.h
*
* @brief Declares functions related to word expansion.
*
* @since 1.0
* @version 1.0
*/


#ifndef	 _WORDEXP_H
#define	 _WORDEXP_H

#ifdef __cplusplus
extern "C" {
#endif


/**
* @brief Describes information about word expansion.
*/
typedef struct {
/** Number of words */
size_t we_wordc;
/** Address of the word string */
char **we_wordv;
/** Offset of the word string */
size_t we_offs;
} wordexp_t;

/**
* @brief Frees a word expansion buffer.
* @param we Indicates the pointer to the word expansion buffer to free.
* @since 1.0
* @version 1.0
*/
void wordfree(wordexp_t *we);

#ifdef __cplusplus
}
#endif

#endif
/** @} */